Subject: Re: Entering Characters during sleep !
From: [email-masked] (Earnie Boyd)

20 May 1998 19:22:33 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: David Avrahamov <[email-masked]>, [email-masked]
Cc: [email-masked]

Well it's definitely within the cygwinb19.dll.  I tried your test with
Mingw32 and it works fine.  Also, I tried it with b18 and it didn't
work.

It appears that the input buffer is being cleared before the data is
retrieved.

---David Avrahamov <[email-masked]> wrote:
>
> Hi everyone,
> 
> I have encountered a problem while running a program which do sleep 
> before prompting for input.
> All the input characters that are entered during this time are not
> entered into the input buffer so it is as I didn't enter them at all.
> 
> I have this small code which illustrates this problem.
> This problem doesn't happen neither on UNIX nor on MSVC.
> P.S. Instead of doing sleep I entered a big loop and it acted the
same.
> 
> Any ideas ?
> Thanks,
> 
> 
> 
> #include <stdio.h>
> main()
> {
>     char st1[100];
>     unsigned long i;
> 
>     printf("Type something !\n");
>     for (i=0;i<50000000;i++);
> 
>     scanf("%s",st1);
> 
>     printf("You typed: %s\n",st1);
> }
> 
> 
> 
> -- 
> David Avrahamov      
> Phone number: 952-2176
> Software department
> Motorola Semiconductor Israel
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".